For the complete documentation index, see llms.txt. This page is also available as Markdown.

Email PDF of purchase order receipt

Email PDF of purchase order receipt

Required permissions: PURCHASE_ORDER

post
/tenants/{tenantUid}/stores/{storeUid}/purchase-orders/{purchaseOrderUid}/email
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
storeUidstringRequired

Reference to a Store.

Pattern: ^[A-Za-z0-9-_]+
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
purchaseOrderUidstringRequired

Reference to a PurchaseOrder.

Pattern: ^[A-Za-z0-9-_]+
Body
recipientsstring[]Required
subjectstringOptional
bodystringOptional
includePDFbooleanOptionalDefault: true
Responses
201

Created

No content

post/tenants/{tenantUid}/stores/{storeUid}/purchase-orders/{purchaseOrderUid}/email
POST /v2/tenants/{tenantUid}/stores/{storeUid}/purchase-orders/{purchaseOrderUid}/email HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 146

{
  "recipients": [
    "text"
  ],
  "subject": "text",
  "body": "text",
  "includePDF": true,
  "attachments": [
    {
      "content": "text",
      "contentType": "text",
      "filename": "text"
    }
  ]
}

No content

Last updated

Was this helpful?